modules

# Procedural File: modules.inc Source Location: /lib/modules.inc ## Classes: accountContainer This class includes all modules and attributes of an account. ## Page Details: Interface between modules and other parts of LAM. #### Tags:
author: | Roland Gruber
author: | Michael Duergner
author: | Tilo Lutz
#### Includes: include_once($modulesINC_dirname.'/'.$entry) [line 53] This includes all module files. include_once("baseModule.inc") [line 39] parent class of account modules include_once("account.inc") [line 37] some helper functions include_once("ldap.inc") [line 41] access to LDAP server include_once("cache.inc") [line 35] LDAP caches include_once("lamdaemon.inc") [line 43] lamdaemon functions ### buildUploadAccounts [line 418]
`mixed buildUploadAccounts( string $scope, array $data, array $ids)`
This function builds the LDAP accounts for the file upload. If there are problems status messages will be printed automatically. #### Tags:
return: | array including accounts or false if there were errors
#### Parameters
string | $scope | account type
array | $data | array containing one account in each element
array | $ids | array(<column_name> => <column number>)
[ Top ] ### checkConfigOptions [line 343]
`array checkConfigOptions( array $scopes, array $options)`
Checks if the configuration options are valid #### Tags:
return: | list of error messages
#### Parameters
array | $scopes | hash array (module name => array(account types))
array | $options | hash array containing all options (name => array(...))
[ Top ] ### checkProfileOptions [line 283]
`array checkProfileOptions( string $scope, array $options)`
Checks if the profile options are valid #### Tags:
return: | list of error messages
#### Parameters
string | $scope | account type (user, group, host)
array | $options | hash array containing all options (name => array(...))
[ Top ] ### check_module_conflicts [line 227]
`boolean check_module_conflicts( array $selected, array $deps)`
Checks if there are conflicts between modules #### Tags:
return: | false if no conflict was found, otherwise an array of array(selected module, conflicting module) if conflicts were found
#### Parameters
array | $selected | selected module names
array | $deps | module dependencies
[ Top ] ### check_module_depends [line 186]
`mixed check_module_depends( array $selected, array $deps)`
Checks if there are missing dependencies between modules. #### Tags:
return: | false if no misssing dependency was found, otherwise an array of array(selected module, depending module) if missing dependencies were found
#### Parameters
array | $selected | selected module names
array | $deps | module dependencies
[ Top ] ### doUploadPostActions [line 498]
`array doUploadPostActions( string $scope, array $data, array $ids, array $failed)`
This function executes one post upload action. #### Tags:
return: | current status array ( 'status' => 'finished' | 'inProgress' 'module' => <name of active module> 'progress' => 0..100 'errors' => array (<array of parameters for StatusMessage>) )
#### Parameters
string | $scope | account type
array | $data | array containing one account in each element
array | $ids | array(<column_name> => <column number>)
array | $failed | list of accounts which were not created successfully
[ Top ] ### getAvailableModules [line 246]
`array getAvailableModules( string $scope)`
Returns an array with all available user module names #### Tags:
return: | list of possible modules
#### Parameters
string | $scope | account type (user, group, host)
[ Top ] ### getAvailablePDFFields [line 372]
`array getAvailablePDFFields( string $scope)`
Returns a list of available PDF entries. #### Tags:
return: | PDF entries
#### Parameters
string | $scope | account type (user, group, host)
[ Top ] ### getConfigDescriptions [line 318]
`array getConfigDescriptions( )`
Returns a hash array (module name => descriptions) containing descriptions shown on configuration pages. The returned array has the format array('legend' => array('posixAccount' => '...', ...), descriptions => array('option1' => '...', ...)). The "legend" value is used as text for the fieldset, the descriptions are used when the configuration is printed. #### Tags:
return: | configuration descriptions
[ Top ] ### getConfigOptions [line 300]
`array getConfigOptions( array $scopes)`
Returns a hash array (module name => elements) of all module options for the configuration page. #### Tags:
return: | configuration options
#### Parameters
array | $scopes | hash array (module name => array(account types))
[ Top ] ### getHelp [line 361]
`array getHelp( string $module, string $helpID, [mixed $scope = ''])`
Returns a help entry from an account module. #### Tags:
return: | help entry
#### Parameters
string | $helpID | help identifier
string | $module | module name
[ Top ] ### getModuleAlias [line 63]
`string getModuleAlias( string $name, string $scope)`
Returns the alias name of a module #### Tags:
return: | alias name
#### Parameters
string | $name | the module name
string | $scope | the account type ("user", "group", "host")
[ Top ] ### getModulesDependencies [line 168]
`array getModulesDependencies( string $scope)`
Returns a hash array (module name => dependencies) of all module dependencies "dependencies" contains an array with two sub arrays: depends, conflicts The elements of "depends" are either module names or an array of module names (OR-case). The elements of conflicts are module names. #### Tags:
return: | dependencies
#### Parameters
string | $scope | the account type (user, group, host)
[ Top ] ### getProfileOptions [line 266]
`array getProfileOptions( string $scope)`
Returns the elements for the profile page. #### Tags:
return: | profile elements
#### Parameters
string | $scope | account type (user, group, host)
[ Top ] ### getRDNAttributes [line 118]
`array getRDNAttributes( string $scope)`
Returns a list of LDAP attributes which can be used to form the RDN. The list is already sorted by the priority given by the nodules. #### Tags:
return: | list of LDAP attributes
#### Parameters
string | $scope | account type (user, group, host)
[ Top ] ### getUploadColumns [line 398]
`array getUploadColumns( string $scope)`
Returns an array containing all input columns for the file upload. Syntax: array( string: name, // fixed non-translated name which is used as column name (should be of format: <module name>_<column name>) string: description, // short descriptive name string: help, // help ID string: example, // example value boolean: required // true, if user must set a value for this column ) #### Tags:
return: | column list
#### Parameters
string | $scope | account type
[ Top ] ### get_ldap_filter [line 86]
`string get_ldap_filter( string $scope)`
Returns the LDAP filter used by the account lists #### Tags:
return: | LDAP filter
#### Parameters
string | $scope | the account type ("user", "group", "host")
[ Top ] ### is_base_module [line 75]
`boolean is_base_module( string $name, string $scope)`
Returns true if the module is a base module #### Tags:
return: | true if base module
#### Parameters
string | $name | the module name
string | $scope | the account type ("user", "group", "host")
[ Top ] ### parseHtml [line 541]
`array parseHtml( string $module, array $input, array $values, boolean $restricted, integer &$tabindex, integer &$tabindexLink, string $scope)`
Takes a list of meta-HTML elements and prints the equivalent HTML output. #### Tags:
return: | List of input field names and their type (name => type)
#### Parameters
string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
integer | $tabindexLink | Start value of tabulator index for links
string | $scope | Account type
[ Top ] Documentation generated on Tue, 07 Feb 2006 17:03:48 +0100 by phpDocumentor 1.2.3